Summary:     A generic library support script
Name:        libtool
Version:     1.5.10
Release:     2.pp
License:     GPL
Group:       Development/Tools
Source0:     ftp://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
URL:         http://www.gnu.org/software/%{name}/
Buildroot:   /var/tmp/%{name}-root
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    %{name}-libs = %{version}-%{release} %{name}-libs.pp
Requires:    autoconf259 automake19
Provides:    %{name}.pp %{name}
Prereq:      /bin/bash /sbin/ldconfig /sbin/install-info
BuildPrereq: gcc >= 2.96 /bin/mkdir /usr/bin/make /usr/bin/install
BuildPrereq: glibc-devel autoconf259 automake19
ExclusiveOS: linux

%description
GNU libtool is a generic library support script. Libtool hides the
complexity of using shared and static libraries behind a consistent,
portable interface. Libtool supports building static libraries on
all platforms.


%package libs
Summary:     Runtime libraries for %{name}
Group:       System Environment/Libraries
Requires:    glibc
Provides:    %{name}-libs.pp

%description libs
This package contains the runtime libraries from %{name}. %{name}
uses these libraries to provide portible dynamic loading of shared
libraries.


%prep
%setup -q


%build
export CFLAGS="$RPM_OPT_FLAGS"
export AUTOCONF="autoconf-2.59"
export AUTOMAKE="automake-1.9"
export AUTOHEADER="autoheader-2.59"
export ACLOCAL="aclocal-1.9"
./configure \
	--prefix=/usr             \
	--sysconfdir=/etc         \
	--localstatedir=/var      \
	--infodir=/usr/share/info \
	--mandir=/usr/share/man   \
	--enable-shared           \
	--enable-static
make


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT/usr/share/info/dir


%post
/sbin/install-info /usr/share/info/%{name}.info /usr/share/info/dir

%post libs
/sbin/ldconfig


%preun
/sbin/install-info --delete /usr/share/info/%{name}.info /usr/share/info/dir


%postun libs
/sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README
%doc THANKS TODO
%doc %dir cdemo demo depdemo f77demo mdemo mdemo2 pdemo tagdemo
/usr/bin/*
/usr/include/*
/usr/lib/*.*a
/usr/lib/*.so
/usr/share/aclocal/*
%dir /usr/share/%{name}
/usr/share/%{name}/*
/usr/share/info/*

%files libs
%defattr(-, root, root)
/usr/lib/*.so.*


%changelog
* Mon Nov 08 2004 peter.pramberger@member.fsf.org
- created

